- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::GpuEffect Class Reference

プログラマブルシェーダ用のエフェクト More...

`#include <BuddhaGpuEffect.h>`

Inheritance diagram for BuddhaLib::GpuEffect:

List of all members.

## Public Types
typedef std::map< String, EffectTechnique * > | TechniqueMap
| テクニック名とテクニックへのポインタのマップ
## Public Member Functions
void | SetCurrentTechnique (LPCSTR name)
| カレントテクニックを選択する
void | SetCurrentTechnique (String &name)
| カレントテクニックを選択する
void | _setCurrentTechnique (_BuddhaHandle handle)
| カレントテクニックを選択する
void | Begin ()
| エフェクトを開始する
void | End ()
| エフェクトを開始する
void | SetParameter (LPCSTR handle, const Matrix &mat)
| マトリクスを指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const Matrix *, unsigned int count)
| マトリクスの配列を指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const D3DXVECTOR4 &vec)
void | SetParameter (LPCSTR handle, const Vector3 &vec)
| Vector3 の値を指定したパラメータにセットする.
void | SetParameter (LPCSTR handle, const Vector4 &vec)
| Vector4 の値を指定したパラメータにセットする.
void | SetParameter (LPCSTR handle, const Texture2D *tex)
| テクスチャを指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const float value)
| float 値を指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const Color &color)
| 色の値を指定したパラメータにセットする
void | _commit (void)
| エフェクト開始以降に書きこんだパラメータをシェーダに送る
bool | _isGpuEffect (void) const
| このエフェクトパスがプログラマブルシェーダであるかどうかを取得する
## Static Public Member Functions
static void | FromFile (GraphicsDevice *device, LPCWSTR filePath, GpuEffect **out)
static EffectPtr | FromFile (GraphicsDevice *device, LPCWSTR filePath)
| filepath からプログラマブルシェーダをロードして返す
## Protected Attributes
LPD3DXEFFECT | m_pEffect
| DirectX9 エフェクトへのポインタ.
TechniqueMap | mTechniqueMap
| DirectX9 テクニックのキャッシュ.
GraphicsDevice * | m_pDevice
| デバイスへのポインタ

## Detailed Description

プログラマブルシェーダ用のエフェクト

## Member Typedef Documentation

typedef std::map<String, EffectTechnique*> BuddhaLib::GpuEffect::TechniqueMap

テクニック名とテクニックへのポインタのマップ

Remarks:
  GetCureentTechnique() が呼び出され、テクニックを検索したときにその内容を キャッシュしておくためのハッシュマップ

## Member Function Documentation

void BuddhaLib::GpuEffect::FromFile | ( | GraphicsDevice * | device,
|  | LPCWSTR | filePath,
|  | GpuEffect ** | out |
| ) |  |  | `[static]`

filepath からプログラマブルシェーダをロードし、 out に渡す

Remarks:
  シェアード・ポインタで受け取りたくない場合に使用する。

void BuddhaLib::GpuEffect::SetParameter | ( | LPCSTR | handle,
|  | const D3DXVECTOR4 & | vec |
| ) |  |  | `[virtual]`

D3DXVECTOR4 をパラメータにセットする

Reimplemented from BuddhaLib::Effect.

## Member Data Documentation

GraphicsDevice* BuddhaLib::GpuEffect::m_pDevice`[protected]`

デバイスへのポインタ

Attention:
  デストラクタなどで解放してはならない。